org.eclnt.jsfserver.elements.componentnodes

## Class HTMODALPOPUPNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.HTMODALPOPUPNode

- All Implemented Interfaces:
    java.io.Serializable

      public class HTMODALPOPUPNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTMODALPOPUPNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTMODALPOPUPNode` | `bindComment(IDynamicContentBindingObject value)`
    `HTMODALPOPUPNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `HTMODALPOPUPNode` | `bindHeight(IDynamicContentBindingObject value)`
    `HTMODALPOPUPNode` | `bindLeft(IDynamicContentBindingObject value)`
    `HTMODALPOPUPNode` | `bindOpened(IDynamicContentBindingObject value)`
    `HTMODALPOPUPNode` | `bindRendered(IDynamicContentBindingObject value)`
    `HTMODALPOPUPNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `HTMODALPOPUPNode` | `bindTitle(IDynamicContentBindingObject value)`
    `HTMODALPOPUPNode` | `bindTop(IDynamicContentBindingObject value)`
    `HTMODALPOPUPNode` | `bindWidth(IDynamicContentBindingObject value)`
    `HTMODALPOPUPNode` | `setAttributemacro(java.lang.String value)`
    `HTMODALPOPUPNode` | `setComment(java.lang.String value)`
    `HTMODALPOPUPNode` | `setConfiginfo(java.lang.String value)`
    `HTMODALPOPUPNode` | `setHeight(int value)`
    `HTMODALPOPUPNode` | `setHeight(java.lang.String value)`
    `HTMODALPOPUPNode` | `setId(java.lang.String value)`
    `HTMODALPOPUPNode` | `setLeft(java.lang.String value)`
    `HTMODALPOPUPNode` | `setOpened(boolean value)`
    `HTMODALPOPUPNode` | `setOpened(java.lang.String value)`
    `HTMODALPOPUPNode` | `setReference(java.lang.String value)`
    `HTMODALPOPUPNode` | `setRendered(boolean value)`
    `HTMODALPOPUPNode` | `setRendered(java.lang.String value)`
    `HTMODALPOPUPNode` | `setStylevariant(java.lang.String value)`
    `HTMODALPOPUPNode` | `setTitle(java.lang.String value)`
    `HTMODALPOPUPNode` | `setTop(java.lang.String value)`
    `HTMODALPOPUPNode` | `setWidth(int value)`
    `HTMODALPOPUPNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTMODALPOPUPNode

          public HTMODALPOPUPNode()

  - ### Method Detail

    - #### setId

          public HTMODALPOPUPNode setId(java.lang.String value)

    - #### setAttributemacro

          public HTMODALPOPUPNode setAttributemacro(java.lang.String value)

    - #### setComment

          public HTMODALPOPUPNode setComment(java.lang.String value)

    - #### bindComment

          public HTMODALPOPUPNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public HTMODALPOPUPNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public HTMODALPOPUPNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHeight

          public HTMODALPOPUPNode setHeight(java.lang.String value)

    - #### bindHeight

          public HTMODALPOPUPNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public HTMODALPOPUPNode setHeight(int value)

    - #### setLeft

          public HTMODALPOPUPNode setLeft(java.lang.String value)

    - #### bindLeft

          public HTMODALPOPUPNode bindLeft(IDynamicContentBindingObject value)

    - #### setOpened

          public HTMODALPOPUPNode setOpened(java.lang.String value)

    - #### bindOpened

          public HTMODALPOPUPNode bindOpened(IDynamicContentBindingObject value)

    - #### setOpened

          public HTMODALPOPUPNode setOpened(boolean value)

    - #### setReference

          public HTMODALPOPUPNode setReference(java.lang.String value)

    - #### setRendered

          public HTMODALPOPUPNode setRendered(java.lang.String value)

    - #### bindRendered

          public HTMODALPOPUPNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public HTMODALPOPUPNode setRendered(boolean value)

    - #### setStylevariant

          public HTMODALPOPUPNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public HTMODALPOPUPNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTitle

          public HTMODALPOPUPNode setTitle(java.lang.String value)

    - #### bindTitle

          public HTMODALPOPUPNode bindTitle(IDynamicContentBindingObject value)

    - #### setTop

          public HTMODALPOPUPNode setTop(java.lang.String value)

    - #### bindTop

          public HTMODALPOPUPNode bindTop(IDynamicContentBindingObject value)

    - #### setWidth

          public HTMODALPOPUPNode setWidth(java.lang.String value)

    - #### bindWidth

          public HTMODALPOPUPNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public HTMODALPOPUPNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.